All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.sort.html
Interface SortSelectorComponentNames

    public interface SortSelectorComponentNames

Contains the names of the sub components used by the `SortSelectorPanel`

Since:
  3.1.4

Field Summary
`static java.lang.String` | `NAME_SEPARATOR` The separator used to separate the selector name from the component name when creating the final component name (e.g.
`static java.lang.String` | `SORT_BY_CHOICEBOX_NAME` The name of the Sort by ChoiceBox.
`static java.lang.String` | `SORT_BY_DIV_NAME` The name of the Sort By div.
`static java.lang.String` | `SORT_BY_LABEL_NAME` The name of the Sort By label.
`static java.lang.String` | `SORT_BY_RADIO_BOX_NAME` The name of the Sort by Radio.
`static java.lang.String` | `THEN_BY_CHOICEBOX_NAME` The name of the Then by ChoiceBox.
`static java.lang.String` | `THEN_BY_CHOICEBOX_NAME1` The name of the first Then by ChoiceBox.
`static java.lang.String` | `THEN_BY_CHOICEBOX_NAME2` The name of the second Then by ChoiceBox.
`static java.lang.String` | `THEN_BY_LABEL_NAME` The name of the Then By label.
`static java.lang.String` | `THEN_BY_LABEL_NAME1` The name of the first Then By label.
`static java.lang.String` | `THEN_BY_LABEL_NAME2` The name of the second Then By label.
`static java.lang.String` | `THEN_BY_RADIO_BOX_NAME` The name of the Then by Radio.
`static java.lang.String` | `THEN_BY_RADIO_BOX_NAME1` The name of the first Then by Radio.
`static java.lang.String` | `THEN_BY_RADIO_BOX_NAME2` The name of the second Then by Radio.

Field Detail

### SORT_BY_DIV_NAME

    static final java.lang.String SORT_BY_DIV_NAME

  The name of the Sort By div. "sortByDiv"

  See Also:
    Constant Field Values

### NAME_SEPARATOR

    static final java.lang.String NAME_SEPARATOR

  The separator used to separate the selector name from the component name when creating the final component name (e.g. SortSelector_sortByLabel). "_"

  See Also:
    Constant Field Values

### SORT_BY_LABEL_NAME

    static final java.lang.String SORT_BY_LABEL_NAME

  The name of the Sort By label. "sortByLabel"

  See Also:
    Constant Field Values

### THEN_BY_LABEL_NAME

    static final java.lang.String THEN_BY_LABEL_NAME

  The name of the Then By label. "thenByLabel"

  See Also:
    Constant Field Values

### THEN_BY_LABEL_NAME1

    static final java.lang.String THEN_BY_LABEL_NAME1

  The name of the first Then By label. "thenByLabel1"

  See Also:
    Constant Field Values

### THEN_BY_LABEL_NAME2

    static final java.lang.String THEN_BY_LABEL_NAME2

  The name of the second Then By label. "thenByLabel2"

  See Also:
    Constant Field Values

### SORT_BY_CHOICEBOX_NAME

    static final java.lang.String SORT_BY_CHOICEBOX_NAME

  The name of the Sort by ChoiceBox. "sortByChoiceBox"

  See Also:
    Constant Field Values

### THEN_BY_CHOICEBOX_NAME

    static final java.lang.String THEN_BY_CHOICEBOX_NAME

  The name of the Then by ChoiceBox. "thenByChoiceBox"

  See Also:
    Constant Field Values

### THEN_BY_CHOICEBOX_NAME1

    static final java.lang.String THEN_BY_CHOICEBOX_NAME1

  The name of the first Then by ChoiceBox. "thenByChoiceBox1"

  See Also:
    Constant Field Values

### THEN_BY_CHOICEBOX_NAME2

    static final java.lang.String THEN_BY_CHOICEBOX_NAME2

  The name of the second Then by ChoiceBox. "thenByChoiceBox2"

  See Also:
    Constant Field Values

### SORT_BY_RADIO_BOX_NAME

    static final java.lang.String SORT_BY_RADIO_BOX_NAME

  The name of the Sort by Radio. "sortByRadioBox"

  See Also:
    Constant Field Values

### THEN_BY_RADIO_BOX_NAME

    static final java.lang.String THEN_BY_RADIO_BOX_NAME

  The name of the Then by Radio. "thenByRadioBox"

  See Also:
    Constant Field Values

### THEN_BY_RADIO_BOX_NAME1

    static final java.lang.String THEN_BY_RADIO_BOX_NAME1

  The name of the first Then by Radio. "thenByRadioBox1"

  See Also:
    Constant Field Values

### THEN_BY_RADIO_BOX_NAME2

    static final java.lang.String THEN_BY_RADIO_BOX_NAME2

  The name of the second Then by Radio. "thenByRadioBox2"

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.